
CREATE TABLE rb_folder
(folder_id  INT UNSIGNED AUTO_INCREMENT ,
folder_name VARCHAR(60) NOT NULL,
parent_id INT UNSIGNED NOT NULL,
PRIMARY KEY (folder_id ));

CREATE unique INDEX folder_parent_name_idx ON rb_folder (parent_id,folder_name);


CREATE TABLE rb_item
(item_id INT  UNSIGNED AUTO_INCREMENT ,
folder_id INT UNSIGNED NOT NULL,
item_name VARCHAR(60) NOT NULL,
item_size INT,
item_type INT NOT NULL,
modified DOUBLE PRECISION NOT NULL,
deleted DOUBLE PRECISION,
template blob ,
PRIMARY KEY (item_id));

CREATE unique INDEX item_id_idx ON rb_item (folder_id, item_type, item_name, modified);
