

CREATE TABLE rb_folder
(folder_id INTEGER IDENTITY(1,1) ,
folder_name VARCHAR(60) NOT NULL,
parent_id INTEGER NOT NULL,
PRIMARY KEY (folder_name, parent_id));

CREATE INDEX folder_id_idx ON rb_folder (folder_id);

CREATE INDEX folder_parent_idx ON rb_folder (parent_id);

CREATE TABLE rb_item
(item_id INTEGER  IDENTITY(1,1) NOT NULL,
folder_id INTEGER NOT NULL,
item_name VARCHAR(60) NOT NULL,
item_size INTEGER,
item_type INTEGER NOT NULL,
modified DOUBLE PRECISION NOT NULL,
deleted DOUBLE PRECISION,
template image ,
PRIMARY KEY (folder_id, item_type, item_name, modified));

CREATE INDEX item_id_idx ON rb_item (item_id);

CREATE INDEX item_folder_type_name_idx ON rb_item (folder_id, item_type, item_name);

